Package org.drinkless.tdlib

# Class TdApi.SetPassword

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PasswordState>
org.drinkless.tdlib.TdApi.SetPassword

Enclosing class:
  TdApi

public static class TdApi.SetPassword extends TdApi.Function<TdApi.PasswordState>
Changes the 2-step verification password for the current user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed.

Returns `PasswordState`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `newHint`
  New password hint; may be empty.
  `String`
  `newPassword`
  New 2-step verification password of the user; may be empty to remove the password.
  `String`
  `newRecoveryEmailAddress`
  New recovery email address; may be empty.
  `String`
  `oldPassword`
  Previous 2-step verification password of the user.
  `boolean`
  `setRecoveryEmailAddress`
  Pass true to change also the recovery email address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetPassword()`
  Default constructor for a function, which changes the 2-step verification password for the current user.
  `SetPassword(String oldPassword, String newPassword, String newHint, boolean setRecoveryEmailAddress, String newRecoveryEmailAddress)`
  Creates a function, which changes the 2-step verification password for the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### oldPassword

    public String oldPassword
    Previous 2-step verification password of the user.

  - ### newPassword

    public String newPassword
    New 2-step verification password of the user; may be empty to remove the password.

  - ### newHint

    public String newHint
    New password hint; may be empty.

  - ### setRecoveryEmailAddress

    public boolean setRecoveryEmailAddress
    Pass true to change also the recovery email address.

  - ### newRecoveryEmailAddress

    public String newRecoveryEmailAddress
    New recovery email address; may be empty.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetPassword

    public SetPassword()
    Default constructor for a function, which changes the 2-step verification password for the current user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed.

    Returns `PasswordState`

  - ### SetPassword

    public SetPassword(String oldPassword, String newPassword, String newHint, boolean setRecoveryEmailAddress, String newRecoveryEmailAddress)
    Creates a function, which changes the 2-step verification password for the current user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed.

    Returns `PasswordState`

    Parameters:
      `oldPassword` - Previous 2-step verification password of the user.
      `newPassword` - New 2-step verification password of the user; may be empty to remove the password.
      `newHint` - New password hint; may be empty.
      `setRecoveryEmailAddress` - Pass true to change also the recovery email address.
      `newRecoveryEmailAddress` - New recovery email address; may be empty.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PasswordState>`
    Returns:
      this.CONSTRUCTOR